public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "WANG Xuerui" <xen0n@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/grpc/
Date: Sat, 11 Feb 2023 07:47:42 +0000 (UTC)	[thread overview]
Message-ID: <1676101628.39b0f7a6171777fd1898120dbb7841ea5d001c28.xen0n@gentoo> (raw)

commit:     39b0f7a6171777fd1898120dbb7841ea5d001c28
Author:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  7 10:11:03 2023 +0000
Commit:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
CommitDate: Sat Feb 11 07:47:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39b0f7a6

net-libs/grpc: filter-lto

See: https://github.com/grpc/grpc/issues/29652
Closes: https://bugs.gentoo.org/861476
Signed-off-by: WANG Xuerui <xen0n <AT> gentoo.org>

 .../grpc/{grpc-1.51.1.ebuild => grpc-1.43.0-r1.ebuild}   | 16 +++++++++-------
 .../grpc/{grpc-1.51.1.ebuild => grpc-1.51.1-r1.ebuild}   |  5 ++++-
 2 files changed, 13 insertions(+), 8 deletions(-)

diff --git a/net-libs/grpc/grpc-1.51.1.ebuild b/net-libs/grpc/grpc-1.43.0-r1.ebuild
similarity index 90%
copy from net-libs/grpc/grpc-1.51.1.ebuild
copy to net-libs/grpc/grpc-1.43.0-r1.ebuild
index f3edebd3268c..2b89ffd2bc51 100644
--- a/net-libs/grpc/grpc-1.51.1.ebuild
+++ b/net-libs/grpc/grpc-1.43.0-r1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=8
+EAPI=7
 
-inherit cmake
+inherit cmake flag-o-matic
 
 MY_PV="${PV//_pre/-pre}"
 
@@ -13,13 +13,13 @@ SRC_URI="https://github.com/${PN}/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="Apache-2.0"
 # format is 0/${CORE_SOVERSION//./}.${CPP_SOVERSION//./} , check top level CMakeLists.txt
-SLOT="0/29.151"
+SLOT="0/21.143"
 KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
 IUSE="doc examples test"
 
 # look for submodule versions in third_party dir
 RDEPEND="
-	=dev-cpp/abseil-cpp-20220623.1*:=
+	=dev-cpp/abseil-cpp-20211102.0*:=
 	>=dev-libs/re2-0.2021.11.01:=
 	>=dev-libs/openssl-1.1.1:0=[-bindist(-)]
 	>=dev-libs/protobuf-3.18.1:=
@@ -58,15 +58,17 @@ src_prepare() {
 	cmake_src_prepare
 
 	# un-hardcode libdir
+	sed -i "s@lib/pkgconfig@$(get_libdir)/pkgconfig@" CMakeLists.txt || die
 	sed -i "s@/lib@/$(get_libdir)@" cmake/pkg-config-template.pc.in || die
 
-	# suppress network access, package builds fine without the submodules
-	mkdir "${S}/third_party/opencensus-proto/src" || die
-
 	soversion_check
 }
 
 src_configure() {
+	# https://github.com/grpc/grpc/issues/29652
+	# issue says 1.46.1 but apparently this is affected too
+	filter-lto
+
 	local mycmakeargs=(
 		-DgRPC_INSTALL=ON
 		-DgRPC_ABSL_PROVIDER=package

diff --git a/net-libs/grpc/grpc-1.51.1.ebuild b/net-libs/grpc/grpc-1.51.1-r1.ebuild
similarity index 96%
rename from net-libs/grpc/grpc-1.51.1.ebuild
rename to net-libs/grpc/grpc-1.51.1-r1.ebuild
index f3edebd3268c..ed87698a72be 100644
--- a/net-libs/grpc/grpc-1.51.1.ebuild
+++ b/net-libs/grpc/grpc-1.51.1-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit cmake
+inherit cmake flag-o-matic
 
 MY_PV="${PV//_pre/-pre}"
 
@@ -67,6 +67,9 @@ src_prepare() {
 }
 
 src_configure() {
+	# https://github.com/grpc/grpc/issues/29652
+	filter-lto
+
 	local mycmakeargs=(
 		-DgRPC_INSTALL=ON
 		-DgRPC_ABSL_PROVIDER=package


             reply	other threads:[~2023-02-11  7:47 UTC|newest]

Thread overview: 86+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-11  7:47 WANG Xuerui [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-17 16:00 [gentoo-commits] repo/gentoo:master commit in: net-libs/grpc/ Sam James
2024-09-12 21:59 Sam James
2024-09-04  9:32 Sam James
2024-07-09 12:52 Sam James
2023-12-25 19:22 Conrad Kostecki
2023-08-21 18:22 Sam James
2023-08-21 17:31 Sam James
2023-08-21 17:31 Sam James
2023-08-21 17:31 Sam James
2023-08-21 16:35 Sam James
2023-08-21 15:23 Sam James
2023-05-26 20:21 Andreas Sturmlechner
2023-05-14  8:48 Sam James
2023-05-14  8:48 Sam James
2023-05-14  8:48 Sam James
2023-02-27  9:10 WANG Xuerui
2023-02-24 17:11 Arthur Zamarin
2023-02-20 21:29 Arthur Zamarin
2023-02-16  5:52 WANG Xuerui
2023-02-12 18:42 Jakov Smolić
2023-02-12 18:42 Jakov Smolić
2023-02-12 18:36 Jakov Smolić
2023-02-11  7:47 WANG Xuerui
2023-02-11  7:47 WANG Xuerui
2023-02-07  0:35 Georgy Yakovlev
2022-12-24 14:49 Andreas Sturmlechner
2022-12-20 23:57 Sam James
2022-10-27 23:46 Sam James
2022-10-20 10:52 Jakov Smolić
2022-08-17 21:13 Sam James
2021-12-20 12:09 Agostino Sarubbo
2021-12-20  9:20 Arthur Zamarin
2021-12-20  5:34 Georgy Yakovlev
2021-12-20  5:31 Georgy Yakovlev
2021-12-20  5:10 Georgy Yakovlev
2021-12-20  5:04 Georgy Yakovlev
2021-11-14  1:59 Georgy Yakovlev
2021-06-21 23:31 Georgy Yakovlev
2021-06-21 23:31 Georgy Yakovlev
2021-05-30  1:43 Georgy Yakovlev
2021-05-15  2:21 Sam James
2021-05-02 10:16 Mikle Kolyada
2021-04-30 18:11 Georgy Yakovlev
2021-04-29 23:35 Georgy Yakovlev
2021-04-29 11:46 Michał Górny
2021-04-29  8:29 Georgy Yakovlev
2020-04-24 20:02 Georgy Yakovlev
2020-04-23 16:27 Stefan Strogin
2020-04-20  7:28 Georgy Yakovlev
2020-02-22  1:30 Georgy Yakovlev
2020-01-17 10:22 Georgy Yakovlev
2020-01-17 10:22 Georgy Yakovlev
2019-12-22  3:28 Georgy Yakovlev
2019-10-26  0:11 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-05-31 19:26 Georgy Yakovlev
2019-05-28  6:49 Georgy Yakovlev
2019-05-07 19:00 Georgy Yakovlev
2019-05-07 19:00 Georgy Yakovlev
2019-04-30  4:42 Georgy Yakovlev
2019-02-27  4:20 Georgy Yakovlev
2019-01-16  0:52 Georgy Yakovlev
2019-01-16  0:52 Georgy Yakovlev
2018-12-15  6:00 Georgy Yakovlev
2018-12-10  4:50 Georgy Yakovlev
2018-11-15  3:21 Georgy Yakovlev
2018-11-15  3:21 Georgy Yakovlev
2018-07-16 19:32 Georgy Yakovlev
2018-07-15 22:20 Georgy Yakovlev
2018-07-15 22:20 Georgy Yakovlev
2018-07-15 22:20 Georgy Yakovlev
2018-07-08 15:29 Jason Zaman
2018-06-17  1:18 Georgy Yakovlev
2018-05-30 13:24 Jason Zaman
2018-05-30 13:24 Jason Zaman
2018-05-03  8:59 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1676101628.39b0f7a6171777fd1898120dbb7841ea5d001c28.xen0n@gentoo \
    --to=xen0n@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox